Subject: Re: [TLS] Metadiscussion on changes in draft-ietf-tls-renegotiation

From: Martin Rex <[email-masked]>
Date: Mon, 1 Feb 2010 18:38:02 +0100 (MET)

Marsh Ray wrote:
> 
> > 
> > No matter how hard I try, I can't find the security problem and I can't find
> > the interoperability advantage.
> >
> > Hence, the "MUST abort" requirement seems like an unmotivated restriction.
> > I'm not saying that we have to change the current draft, I'm just curious to
> > understand the real benefits of this requirement.
> 
> In a sense it allows a consistent definition of the semantics of SCSV:
> The presence of SCSV is equivalent to an empty RI extension. Under such
> a definition, the presence of multiple conflicting RIs (especially an
> empty RI during a renegotiation) is clearly an abort-able offense!

Baloney.

This ludicrous explanation is a silly excuse for a proven technical mistake.

-Martin